<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Hacknet](./bitburner.hacknet.md) &gt; [getHashUpgrades](./bitburner.hacknet.gethashupgrades.md)

## Hacknet.getHashUpgrades() method

Get the list of hash upgrades

**Signature:**

```typescript
getHashUpgrades(): string[];
```
**Returns:**

string\[\]

An array containing the available upgrades

## Remarks

RAM cost: 0 GB

This function is only applicable for Hacknet Servers (the upgraded version of a Hacknet Node).

Returns the list of all available hash upgrades that can be used in the spendHashes function.

## Example


```js
const upgrades = ns.hacknet.getHashUpgrades(); // ["Sell for Money","Sell for Corporation Funds",...]
```

